Public Class Form1
    Private Sub btnLoad_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnLoad.Click
        lstData.Items.Clear()

        'NOTE: Ensure definition file is in application's startup path for default code to work.
        'With just a few lines of code one can take a fixed-width data file and load it as a dataset.

        Dim pathDefinitionFile As String = Application.StartupPath & "\SampleDefinitionFixed.xml"
        Dim pathDataFile As String = Application.StartupPath & "\SampleDataFixed.txt"

        'Also accepts passing in Xml.XmlDocument
        Dim fileConverter As minatek.flatfileconvert.converter = New minatek.flatfileconvert.converter(pathDefinitionFile)

        'Also accepts IO.TextReader. Other methods convert to files or XML.
        Dim dsData As Data.DataSet = fileConverter.ConvertToDataset(pathDataFile)
        If Not dsData Is Nothing Then
            For Each drData As Data.DataRow In dsData.Tables(0).Rows
                'The data row contains the names of the fields as defined in the definition file for easy access.
                lstData.Items.Add(drData("lastname").ToString & ", " & drData("firstname").ToString)
            Next
        End If
    End Sub
End Class